# scripts/automation/adopt-lib-top.sh

Adopt common library in top-N legacy scripts (no lib sourcing yet)
Safe: inserts only a single line after first SCRIPT_DIR=...BASH_SOURCE occurrence.
Verifies syntax, reverts on failure. Writes report to docs/SCRIPTS_ADOPTION_PLAN.md


**Uses common library**: no

**Has --help**: no

## Usage
`./scripts/automation/adopt-lib-top.sh --help`

## Examples
```bash
./scripts/automation/adopt-lib-top.sh --help
```
